DISPLAY MATHPLOT example functions.
DISPLAY Press Enter when you are finished looking at each plot.
LIST ON

RESET
TITLE Damped oscillations
Y = EXP(-.2*X)*COS(X)
DOMAIN 0,6*PI
LABEL OFF
PLOT 30

RESET
TITLE Second and third order Butterworth filters
Y1=1/SQRT(1+(X/2000)^4)
Y2=1/SQRT(1+(X/2000)^6)
DOMAIN 0,8000
NUMPOINTS 100
LABEL ON
GRID ON
PLOT 30

RESET
Title Air Pressure (PSI) at Altitude (ft/1000)
y=14.7*exp(-.038508*x)
LABEL ON
GRID ON
DOMAIN 0,50
PLOT

RESET
TITLE Boiling point of water vs. pressure
CTITLE 7
y = -3227 / LOG(X/1698) - 459.7
CF1 2
DOMAIN 2,15
NUMPOINTS 100
LABEL ON
CAXES 3
AXES ON
CAXES 3
GRID ON
CGRID 8
COMMONSCALE OFF
ORIGIN OFF
PLOT

RESET
TITLE Fourth order Chebyshev low-pass filter
CTITLE 7
y=1/SQRT(1+P0^2*T(P1,X/P3)^2)
CF1 2
DOMAIN 0,4000
NUMPOINTS 100
P0 0.5
P1 4
P3 2000
LABEL ON
CAXES 3
GRID ON
CGRID 8
PLOT 30

RESET
TITLE Fourier series approximation of square wave
Y1 = SIN(X) + SIN(3*X)/3 + SIN(5*X)/5 + SIN(7*X)/7
Y2 = PULSE(0,X,PI) - PULSE(PI,X,2*PI)
DOMAIN .001,2*PI+.001
NUM 200
LABELS ON
GRID ON
PLOT 30

RESET
TITLE Cubic equation: Y = 2*X^3 + 50*X^2 + 100*X + 5000
CTITLE 7
Y=2*X^3+50*X^2+100*X+5000
DOMAIN -30,18
NUMPOINTS 100
LABEL ON
GRID ON
PLOT 30

RESET
TITLE Hyperbolic function:  X * Y = 5
Y1=5/T
X1=T
CF1 2
Y2=-5/T
X2=-T
CF2 2
DOMAIN 0.5,10
LABEL OFF
COMMONSCALE ON
PLOT 30

RESET
TITLE Hypocycloid of four cusps (Astroid)
CTITLE 4
y=SIN(T)^3
x=COS(T)^3
CF1 2
DOMAIN 0,6.28319
NUMPOINTS 100
LABEL OFF
CAXES 1
COMMONSCALE ON
PLOT 30

RESET
TITLE Reciprocal of Gamma function
CTITLE 7
y=GAMMAI(X)
CF1 2
DOMAIN -4,6
NUMPOINTS 100
LABEL ON
CAXES 3
GRID ON
CGRID 8
COMMONSCALE OFF
ORIGIN OFF
PLOT 30

RESET
TITLE Normal probability distribution function
Y=NORMAL(X)
DOMAIN -4,4
NUMPOINTS 150
LABEL OFF
PLOT 30

RESET
Display Now for some "artistic" plots.
R=2*SIN(2*A)
CF1 3
DOMAIN 0,2000
NUMPOINTS 500
LABEL OFF
AXES OFF
PLOT 30

RESET
y=SIN(T)^3
x=COS(T)^3
CF1 2
DOMAIN 0,4000
NUMPOINTS 500
LABEL OFF
AXES OFF
GRID OFF
COMMONSCALE ON
PLOT 30

RESET
y=5*SIN(T)-SIN(5*T)
x=5*COS(T)-COS(5*T)
CF1 3
DOMAIN 0,6000
NUMPOINTS 400
LABEL OFF
AXES OFF
COMMONSCALE ON
PLOT 30

DISPLAY Type or edit MATHPLOT.FUN to see the function descriptions.
DISPLAY The file MATHPLOT.DOC contains a tutorial and full instructions.
EXIT

